# Class CIM_SoftwareFeatureServiceImplementation
extends CIM_Dependency

An association between a Service and how it is implemented in software. The cardinality of this association is many-to -many. A Service may be provided by more than one SoftwareFeature. When multiple SoftwareFeatures are associated with a single Service, it is assumed that these elements operate in conjunction to provide the Service. Note that any SoftwareFeature may provide more than one Service. If different implementations of a Service exist, each of these implementations would result in individual instantiations of the Service object. These individual instantiations would then have their own associations to the unique implementations.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SoftwareFeatureServiceImplementation

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

An association between a Service and how it is implemented in software. The cardinality of this association is many-to -many. A Service may be provided by more than one SoftwareFeature. When multiple SoftwareFeatures are associated with a single Service, it is assumed that these elements operate in conjunction to provide the Service. Note that any SoftwareFeature may provide more than one Service. If different implementations of a Service exist, each of these implementations would result in individual instantiations of the Service object. These individual instantiations would then have their own associations to the unique implementations.

UMLPackagePath | string | CIM::Application::DeploymentModel
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SoftwareFeatureServiceImplementation | CIM_SoftwareFeature
Dependent | CIM_SoftwareFeatureServiceImplementation | CIM_Service

## Class Methods